namespace ScrewsMaster
{
    public class NetworkManager : BaseUnityManager<NetworkManager>
    {
        public const string DomainDebugUrl = @"https://api.jsoncompare.online/";
        public static string DomainRelease = "zoomatchsolo.top";

        // 改为只读属性，实时获取（等调用时 DomainRelease 早就初始化好了）
        public static string DomainReleaseUrl => $"https://{DomainRelease}/api/";

        // 改为只读属性，实时获取
#if JarvisRelease
        public static string CrazyUrl => DomainReleaseUrl;
#else
        public static string CrazyUrl => DomainDebugUrl;
#endif
        public static bool haveSimCard = false;
        private LoginSystem loginSystem;
        private ConfigSystem configSystem;
        private PlayDataSystem playDataSystem;

        // public const string packName = "com.stronggame.nutboltparty";
        public const string packName = "com.zoo.ZooMatchSolo";

        public override void Init()
        {
            InitSystem();
        }

        private void InitSystem()
        {
            loginSystem = new LoginSystem();
            configSystem = new ConfigSystem();
            playDataSystem = new PlayDataSystem();
        }
    }
}